#pragma once
#include "InterfaceTemplate.h"

//!	インタフェース宣言
class ILogManager;
DEFINE_INTERFACE_NOWRAP(ILogManager);

class ILogManager
{
public:
	virtual ~ILogManager(void)
	{
	}

	//!	インタフェース取得
	virtual ILogManagerPtr GetILogManager() = 0;

	//!	アクセスログ出力
	virtual void WriteAccessLog(CString filePath, CString log) = 0;
};
